package com.bocloud.ims.entity.resource.hmc.params;

public class HmcVirtualFibreChannelMappingVfcCreateParams {

    private Long viosId;

    private Integer viosSlot;

    private Long partitionId;

    private Integer partitionSlot;

    private Long fcId;

    private Boolean viosRequired;

    public Long getViosId() {
        return viosId;
    }

    public void setViosId(Long viosId) {
        this.viosId = viosId;
    }

    public Integer getViosSlot() {
        return viosSlot;
    }

    public void setViosSlot(Integer viosSlot) {
        this.viosSlot = viosSlot;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public Integer getPartitionSlot() {
        return partitionSlot;
    }

    public void setPartitionSlot(Integer partitionSlot) {
        this.partitionSlot = partitionSlot;
    }

    public Long getFcId() {
        return fcId;
    }

    public void setFcId(Long fcId) {
        this.fcId = fcId;
    }

    public Boolean getViosRequired() {
        return viosRequired;
    }

    public void setViosRequired(Boolean viosRequired) {
        this.viosRequired = viosRequired;
    }
}
